PRESENTATION Draw3;

VIEWS
   The_draw, Draw_structure;

PRINT The_draw;

COUNTERS
	CptRenvoi :  SET 0 ON Draw3 ADD 1 ON OrigineRenvoi;

DEFAULT

   BEGIN
   HorizRef : Enclosed . HRef;
   VertRef : * . Left;
   Width : Enclosed . Width;
   Height : Enclosed . Height;
   HorizPos : Left = Enclosing . Left;
   VertPos : Top = Enclosing . Top;
   Visibility: Enclosing =;
   Font : Enclosing =;
   Style : Enclosing =;
   Size : Enclosing =;
   LineSpacing : Enclosing =;
   Justify : No;
   Adjust : Enclosing =;
   Indent : Enclosing =;
   Depth : Enclosing =;
   UnderLine: Enclosing =;
   Thickness: Enclosing =;
   LineStyle: Enclosing =;
   LineWeight: Enclosing =;
   FillPattern: Enclosing =;
   Background: Enclosing =;
   Foreground: Enclosing =;
   IN Draw_structure
	BEGIN
	Visibility: 5;
	VertPos : Top = Previous . Bottom;
	END;
   END;
	
BOXES

	BoiteEllipse :
		BEGIN
		Content : Graphics 'c';
		LineStyle: Solid;
		LineWeight: 2 pt;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		HorizPos : Left = Previous .Left;
		VertPos : Top = Previous . Top;		
		Width : Previous . Width;

		Height : Previous . Height;
		END;

	BoiteRectangle :
		BEGIN
		Content : Graphics 'R';
		LineStyle: Solid;
		LineWeight: 0 pt;
		Background : White;
		Foreground : White;
		FillPattern : nopattern;
		Depth : 200 ;
		HorizPos : Left = Creator . Left - 5 pt;
		VertPos : Top = Creator . Top - 5 pt;		
		Width : Creator . Width + 10 pt;
		Height : Creator . Height + 10 pt;
		END;

	BoiteNumRenvoi :
		BEGIN
		Content : (VALUE (CptRenvoi, Arabic));
{		Size : 10; }
		Style : BoldItalics;
		Adjust : VMiddle;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		HorizPos : VMiddle = Previous . VMiddle;
		VertPos : HMiddle= Previous . HMiddle;		
{
		Width : Creator . Width;
		Height : Creator . Height;
}
		END;

	BoiteRenvoi :
		BEGIN
		Content : Graphics 'c';
		LineStyle: Solid;
		LineWeight: 2 pt;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		Depth : Creator + 2;
		HorizPos : VMiddle = Creator . VMiddle;
		VertPos : HMiddle= Creator . HMiddle;		
		Width : Creator . Width;
		Height : Creator . Height;
		END;

	BoiteTraitH :
		BEGIN
		Content : Graphics 'h';
		LineStyle: Solid;
		LineWeight: 2 pt;
		HorizPos : Left = Previous .Left;
		VertPos : Top = Previous . Top;		
		Width : Previous . Width;
		Height : Previous . Height;
		END;

	BoiteTraitV:
		BEGIN
		Content : Graphics 'v';
		LineStyle: Solid;
		LineWeight: 2 pt;
		HorizPos : Left = Previous .Left;
		VertPos : Top = Previous . Top;		
		Width : Previous . Width;
		Height : Previous . Height;
		END;

   CadreLien:
	BEGIN
	Visibility: 0;
	Content: Graphics 'R';
	LineStyle: Dashed;
	LineWeight: 1 pt;
	Style: Italics;
	IN Draw_structure
	   BEGIN
	   Visibility: 5;
	   Size: 5;
	   VertPos : Top = Previous . Top;
	   HorizPos : Left = Previous . Left;
	   Width: Previous . Width;
	   Height : Previous . Height;
	   END;
	END;

RULES
	Draw3 :
		BEGIN
		HorizPos : Left = Enclosing . Left + 0.2;
		VertPos : Top = Previous . Bottom + 1;
		Style : Roman;
		LineSpacing : 1;
		Indent : 0;
		Depth : 0;
		Gather : Yes;
		PageBreak: No;
		LineBreak: No;
#ifdef PALETTE
		Line;
#endif
		IN Draw_structure
		   BEGIN
		   VertPos : Top = Previous . Bottom;
		   Width: Enclosing . Width - 0.2;
		   END;
		END;
	
	GRAPHICS_UNIT:
		BEGIN
		Height: Enclosing . Height;
		Width: Enclosing . Width;
		Depth : Enclosing + 2;
		LineStyle: Solid;
		LineWeight: 2 pt;
		HorizPos : Left = Enclosing . Left;
		VertPos : Top = Enclosing . Top;
		IN Draw_structure
		   BEGIN
		   Height: 3;
		   Width: 3;
		   HorizPos : Left = Enclosing . Left;
		   END;
		END;

	PICTURE_UNIT:
		BEGIN
		Height: Enclosing . Height;
		Width: Enclosing . Width;
		Depth : Enclosing + 2;
		HorizPos : Left = Enclosing . Left;
		VertPos : Top = Enclosing . Top;
		IN Draw_structure
		   BEGIN
		   Height: 3;
		   Width: 3;
		   HorizPos : Left = Enclosing . Left;
		   END;
		END;

	Objet:
		BEGIN
		Height: 0.7 cm;
		Width: 1 cm;
		HorizPos : Left = Enclosing . Left;
		VertPos : Top = Enclosing . Top;
		IN Draw_structure
		   BEGIN
		   Height: 3;
		   Width: 3;
		   HorizPos : Left = Enclosing . Left;
		   END;
		END;

   	Ombre :
		BEGIN
		Height: Enclosing . Height;
		Width: Enclosing . Width;
		Background : Black;
		Foreground : Black;
		FillPattern : backgroundcolor;
		Depth : Enclosing + 3;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Rectangle :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Ellipse :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Trait :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

	Fleche:
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		IN Draw_structure
			BEGIN
			VertPos : Top = Previous . Bottom + 0.2 cm;
			HorizPos : Left = Enclosing . Left;
			END;
		END;

   	Polygone :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Image :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		CreateFirst (BoiteRectangle);
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Autre_forme :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   	Texte :
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : LightSkyBlue2;
		Foreground : Red;
		FillPattern : backgroundcolor;
		CreateFirst (BoiteRectangle);
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

	AnnotationCentrale:
		BEGIN
		HorizPos: VMiddle = Enclosing . VMiddle;
		VertPos: HMiddle = Enclosing . HMiddle;
		END;

	AnnotationDestination:
		BEGIN
		HorizPos: Right = Enclosing . Right;
		VertPos: Bottom = Enclosing . Bottom;
		END;

	LienSimple:
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
		Background : Red;
		Foreground : DarkRed1;
		FillPattern : backgroundcolor;
		Depth : Enclosing + 3;
		IN Draw_structure
			BEGIN
			VertPos : Top = Previous . Bottom + 0.2 cm;
			HorizPos : Left = Enclosing . Left;
			END;
		END;

	FlecheCreuse:
                BEGIN
                Height: {Enclosing . Height} 2 cm  UserSpecified;
                Width: {Enclosing . Width} 2 cm UserSpecified;
                HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
                VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;
                Background : Red;
                Foreground : DarkRed1;
                FillPattern : backgroundcolor;
                IN Draw_structure
                        BEGIN
                        VertPos : Top = Previous . Bottom + 0.2 cm;
                        HorizPos : Left = Enclosing . Left;
                        END;
                END;

	LienComposite:
		BEGIN
		Height: {Enclosing . Height} 2 cm  UserSpecified;
		Width: {Enclosing . Width} 2 cm UserSpecified;
		HorizPos : Left = Enclosing . Left + 0.5 cm UserSpecified;
		VertPos : Top = Enclosing . Top + 0.5 cm UserSpecified;

		Background : Red;
		Foreground : DarkRed1;
		FillPattern : backgroundcolor;
		Depth : Enclosing + 3;
		IN Draw_structure
			BEGIN
			VertPos : Top = Previous . Bottom + 0.2 cm;
			HorizPos : Left = Enclosing . Left;
			END;
		END;

   	CstRenvoi :
		BEGIN
		Height: 0;
		Width:  0;
		HorizPos :VRef = Previous . VMiddle;
		VertPos : HRef = Previous . HMiddle;
		Depth : Enclosing + 3;
		FillPattern : nopattern;
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

	OrigineRenvoi :
		BEGIN
		Height: 1 cm ;
		Width:  1 cm ;
		HorizPos : Left = Enclosing . Left UserSpecified;
		VertPos : Top = Enclosing . Top UserSpecified;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		FillPattern : backgroundcolor;
		CreateBefore (BoiteRenvoi);
		CreateBefore (BoiteNumRenvoi);
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

   RefOrigineRenvoi :
	BEGIN
		Copy (BoiteNumRenvoi);
{		Size : 10; }
		Style : BoldItalics;
		Adjust : VMiddle;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		HorizPos : VMiddle = Previous . VMiddle;
		VertPos : HMiddle= Previous  . HMiddle;
	END;

	DestinationRenvoi :
		BEGIN

		Height: 1 cm UserSpecified Min ;
		Width:  1 cm UserSpecified Min ;
		HorizPos : Left = Enclosing . Left UserSpecified;
		VertPos : Top = Enclosing . Top UserSpecified;
		FillPattern : backgroundcolor;
		Background : LightBlue2;
		Foreground : DarkBlue2;
		CreateFirst (BoiteRenvoi);
		IN Draw_structure
		   BEGIN
		   Height: 3 min;
		   END;
		END;

	Groupe :
		BEGIN
		HorizPos : Left = Enclosing . Left + 0.5 ;
		VertPos : Top = Enclosing . Top + 0.5;
  		Width : Enclosed . Width  ;
   		Height : Enclosed . Height  ;
 		CreateFirst (BoiteRectangle);
		IN Draw_structure
		   BEGIN
		   HorizPos : Left = Enclosing . Left + 0.6 cm;
		   Width : Enclosing . Width - 1.2 cm;
		   END;
		END;

	Label:
		BEGIN
		Line;
		Width: Enclosing . Width - 0.4 cm;
		HorizPos : Left = Enclosing . Left + 0.2 cm;
		VertPos : Top = Enclosing . Top + 0.2 cm;
		Foreground : Black;
		Depth : Enclosing + 1;
		IN Draw_structure
	   		BEGIN
	   		Adjust : Left;
	   		Width: 12 cm min;
	   		END;
		END;

ATTRIBUTES

   Plan :
	Depth : Plan;

   Hauteur:
	BEGIN
	Height : Hauteur pt UserSpecified;
	IN Draw_structure
	   Height : Enclosed . Height;
	END;
   Largeur:
	BEGIN
	Width : Largeur pt UserSpecified;
	IN Draw_structure
	   Width : 6 min;
	END;
   PositionV:
	BEGIN
	VertPos: Top = Enclosing . Top + PositionV pt UserSpecified;
	IN Draw_structure
	   VertPos : Top = Previous . Bottom;
	END;
   PositionH:
	BEGIN
	HorizPos: Left = Enclosing . Left + PositionH pt UserSpecified;
	IN Draw_structure
	   HorizPos : Left = Enclosing . Left;
	END;

   Position_label = Centre:
	BEGIN
	Adjust : VMiddle;
	VertPos : HMiddle = Enclosing . HMiddle;
	HorizPos : VMiddle = Enclosing . VMiddle;
	IN Draw_structure
	   BEGIN
	   Adjust : Left;
	   VertPos : Top = Enclosing . Top;
	   HorizPos : Left = Enclosing . Left;
	   END;
	END;

   Position_label = Haut_gauche:
	BEGIN
	Adjust : Left;
	VertPos : Top = Enclosing. Top + 0.2 cm;
	HorizPos : Left = Enclosing . Left + 0.2 cm;
	IN Draw_structure
	   BEGIN
	   Adjust : Left;
	   VertPos : Top = Enclosing . Top;
	   HorizPos : Left = Enclosing . Left;
	   END;
	END;

   Position_label = Haut_droit:
	BEGIN
	Adjust : Right;
	VertPos : Top = Enclosing. Top + 0.2 cm;
	HorizPos : Right = Enclosing . Right - 0.2 cm;
	IN Draw_structure
	   BEGIN
	   Adjust : Left;
	   VertPos : Top = Enclosing . Top;
	   HorizPos : Left = Enclosing . Left;
	   END;
	END;

    Position_label = Bas_gauche:
	BEGIN
	Adjust : Left;
	VertPos : Bottom = Enclosing . Bottom - 0.2 cm;
	HorizPos : Left = Enclosing . Left + 0.2 cm;
	IN Draw_structure
	   BEGIN
	   Adjust : Left;
	   VertPos : Top = Enclosing . Top;
	   HorizPos : Left = Enclosing . Left;
	   END;
	END;

   Position_label = Bas_droit:
	BEGIN
	Adjust : Right;
	VertPos : Bottom = Enclosing . Bottom - 0.2 cm;
	HorizPos : Right = Enclosing . Right - 0.2 cm;
	IN Draw_structure
	   BEGIN
	   Adjust : Left;
	   VertPos : Top = Enclosing . Top;
	   HorizPos : Left = Enclosing . Left;
	   END;
	END;

   SensOmbre = Sans :
	BEGIN
	VertPos : Top = Enclosing . Top;
	HorizPos : Left = Enclosing . Left;
	END;

   SensOmbre = NOuest :
	BEGIN
	VertPos : Top = Enclosing . Top - 0.2 cm;
	HorizPos : Left = Enclosing . Left - 0.2 cm;
	END;

   SensOmbre = Nord :
	BEGIN
	VertPos : Top = Enclosing . Top - 0.2 cm;
	HorizPos : Left = Enclosing . Left;
	END;

   SensOmbre = NEst :
	BEGIN
	VertPos : Top = Enclosing . Top - 0.2 cm;
	HorizPos : Left = Enclosing . Left + 0.2 cm;
	END;

   SensOmbre = Est :
	BEGIN
	VertPos : Top = Enclosing . Top;
	HorizPos : Left = Enclosing . Left + 0.2 cm;
	END;

   SensOmbre = SEst :
	BEGIN
	VertPos : Top = Enclosing . Top + 0.2 cm;
	HorizPos : Left = Enclosing . Left + 0.2 cm;
	END;

   SensOmbre = Sud :
	BEGIN
	VertPos : Top = Enclosing . Top + 0.2 cm;
	HorizPos : Left = Enclosing . Left;
	END;

   SensOmbre = SOuest :
	BEGIN
	VertPos : Top = Enclosing . Top + 0.2 cm;
	HorizPos : Left = Enclosing . Left - 0.2 cm;
	END;

   SensOmbre = Ouest :
	BEGIN
	VertPos : Top = Enclosing . Top;
	HorizPos : Left = Enclosing . Left - 0.2 cm;
	END;

END
