	{ Ce schema donne les regles pour la traduction d'un Rapport
	en RTF (Lu et ecrit par Microsoft Word).

	  I. Vatton	Juillet 1995	}

TRANSLATION Rapport;

LINELENGTH 78;

BUFFERS
   NomImage(Picture);

COUNTERS

   CptBiblio: Rank of Citation_biblio;
   CptFigure: Set 0 on Rapport  Add 1 on Figure;
   CptFormule: Set 0 on Rapport  Add 1 on Formule_num\351rot\351e;
   CptSect1: Rank of Section;
   CptSect2: Rank of Section 2;
   CptSect3: Rank of Section 3;
   CptSect4: Rank of Section 4;
   CptAffiliation: Rank of Affiliation;
   CptAnnexe: Rank of Annexe;
   CptNote: Rank of Note;

CONST
   Cs1 = 'qwerty';   

VAR

   VarSect1 : Value(CptSect1);
   VarSect2 : Value(CptSect1) '.' Value(CptSect2);
   VarSect3 : Value(CptSect1) '.' Value(CptSect2) '.' Value(CptSect3);
   VarSect4 : Value(CptSect1) '.' Value(CptSect2) '.' Value(CptSect3) '.'
	      Value(CptSect4);
   VarFormule : '(' Value(CptFormule) ')';
   VarBiblio : '[' Value(CptBiblio) ']';
   VarFigure : 'Fig.' Value(CptFigure);
   NumAffiliation: '(' Value(CptAffiliation, lowercase) ')';
   NumAnnexe : Value(CptAnnexe, Uppercase);
   NumNote   : ' [' Value(CptNote) ']';

RULES

   Rapport :
	BEGIN
	Use ParagraphW for Paragraphe;
	Use RefBibWA for RefBib;

	Include 'begin_pc.rtf' ;
	Include 'color_table.rtf';
	include 'stylesAnsi.rtf' ;
	Create '{\info{\version1}{\edmins0}{\nofpages0}{\nofwords0}{\nofchars0}}' ;
	Create '\paperw11906\paperh16838\margl1417\margr1417\margt1417\margb1417\gutter0\widowctrl\sbknone\ftnbj' ;
	Create '\par}' AFTER;
	END;

   Entete:
	BEGIN
	END;

   Titre_courant:
	BEGIN
	Remove;
	END;

   Auteurs_courants:
	BEGIN
	Remove;
	END;

   R\351f\351rence:
	BEGIN
	Create '\pard\plain\s22\li1700\i\fs20\f0 ';
	Create '\par\pard\plain' AFTER;
	END;

   Statut:
	BEGIN
	Create '\pard\plain\s23\li1700\i\fs20\f0 ';
	Create '\par\pard\plain' AFTER;
	END;

   Date_de_mise_a_jour :
	BEGIN
	Create '\pard\plain\s24\li1700\i\fs20\f0 ';
	Create '\par\pard\plain' AFTER;
	END;

   Titre :
	BEGIN
	Create '\pard\plain\par\par\s4\li1700\b\f0\fs40 ';
	Create '\par\par\pard' AFTER;
	END;

   Auteurs:
	BEGIN
	Create '\pard\plain\s6\li1700\i\fs24\f0 ';
	Create '\par\pard\plain' After ;
	END;

   Auteur :
	BEGIN
	Create '\par ' After ;
	END;

   Affiliations :
	BEGIN
	Create '\pard\plain\s7\li1700\i\fs24\f0 ';
	Create '\par\pard\plain' After;
	END;

   Affiliation :
	BEGIN
	If referred
		BEGIN
		Create NumAffiliation;
		END;
	Create '\par ' After;	
	END;

   Ref_affiliation:
	BEGIN
	Create referred NumAffiliation;
	END;

   R\351sum\351 :
	BEGIN
	Create '\pard\plain\par\s9\f0\fs24\li1700{\b R\''e9sum\''e9 : }\par ' ;
	Create '\par\pard\plain\par ' After ;
	END;

   Mots_cl\351s :
	BEGIN
	Create '\pard\plain\par\s26\f0\fs24\li1700{\b Mots-cl\''e9s : }' ;
	Create '\par\pard\plain\par ' After ;
	END;

   Heading:
	BEGIN
	END;

   Title:
	BEGIN
	Create '\pard\plain\par\par\s4\li1700\b\f0\fs40 ';
	Create '\par\par\pard' AFTER;
	END;

   Abstract :
	BEGIN
	Create '\pard\plain\par\s25\f0\fs24\li1700{\b Abstract: }\par ' ;
	Create '\par\pard\plain' After ;
	END;

   Keywords :
	BEGIN
	Create '\pard\plain\par\s26\f0\fs24\li1700{\b Keywords: }' ;
	Create '\par\pard\plain\par ' After ;
	END;

   Corps:
	BEGIN
	END;

   Pr\351ambule:
	BEGIN
	Create '\pard\plain\par\s27\f0\fs24\fi250 ' ;
	Create '\par\par\pard\plain' After ;
	END;

   Suite_sections:
	BEGIN
	END;

   Partie_finale:
	BEGIN
	END;

   Sections_finales:
	BEGIN
	END;

   Section:
	BEGIN
	END;

   Titre_section :
	BEGIN
	Create '\par\pard\plain\s254\b\fs36\f0 ' ;
	IF NOT within Sections_finales and within 1 Section
		Create VarSect1;
	IF within 2 Section
		Create VarSect2;
	IF within 3 Section
		Create VarSect3;
	IF within 4 Section
		Create VarSect4;
	Create '\tab ';
	Create '\par\pard\plain\par\fi250' AFTER;
	END;

   Ref_section :
	BEGIN
	If target within 0 Section
		Create referred VarSect1;
	If target within 1 Section
		Create referred VarSect2;
	If target within 2 Section
		Create referred VarSect3;
	If target within >2 Section
		Create referred VarSect4;
	END;

   Suite_paragraphes:
	BEGIN
	END;

   Groupe_titr\351:
	BEGIN
	END;

   Titre_groupe:
	BEGIN
	Create '\par\pard\plain\s254\b\fs36\f0 ' ;
	Create '\par\pard\plain\par\fi250' AFTER;
	END;

   Ref_groupe_titr\351:
	BEGIN
	Get Referred Titre_groupe;
	END;

   Groupe:
	BEGIN
	END;

   Image :
	BEGIN
	Create '\pard\plain\f0\fs32\qc PICTURE_UNIT in ';
	Create NomImage After;
	Create '\par' After;
	END;

   Formule_num\351rot\351e :
	BEGIN
	Create '\pard\plain\f0\fs32\qc formule ';
	Create VarFormule;
	Create '\par' After;
	END;

   Ref_formule :
	BEGIN
	Create Referred VarFormule;
	END;

   Math :
	BEGIN
	Use MathT;
	END;

   Figure :
	BEGIN
	END;

   Illustration :
	BEGIN
	END;

   Image\240:
	BEGIN
	END;

   L\351gende_figure :
	BEGIN
	Create '\pard\plain\s30\f0\i\fs22\qc ';
	Create VarFigure;
	Create ' : ' ;
	Create '\par\par\pard\plain' After;
	END;

   Ref_figure :
	BEGIN
	Create 'Fig.~\ref';
	Create Referred VarFigure;
	END;

   Note :
	BEGIN
	Remove;
	END;

   Ref_note :
	BEGIN
	Remove;
	END;

   Indice :
	BEGIN
	Create '{\dn\fs18 ';
	Create '}' After;
	END;

   Exposant :
	BEGIN
	Create '{\up\fs18 ';
	Create '}' After;
	END;

   Annexes:
	BEGIN
	Create '\sect\sectd ' After;
	END;

   Annexe :
	BEGIN
	Create '\sect\sectd\pgnstarts1\pgnrestart\pgndec\ANNEXE\par\par\par\pard\plain\s28\qc\f0\b\fs36 ';
	Create 'Annexe \NUMANNEXE';
	Create '\par\par ';
	END;

   Ref_annexe:
	BEGIN
	Create NumAnnexe;
	END;

   Titre_annexe:
	BEGIN
	Create '\par\par\pard\plain' After;
	END;

   Titre_courant_annexe:
	BEGIN
	Remove;
	END;

   Bibliographie :
	BEGIN
	Create '\page\par\pard\plain\s29\li1200\f0\b\fs32';
	Create ' Bibliographie \par\pard\plain';
	Create '\par\par\par\par';
	END;

   Citation_biblio :
	BEGIN
	Create '\pard\plain';
	Create '\s12\fi-500\li1700 ';
	Create VarBiblio;
	Create '\tab ';
	Create '\par\par' After;
	END;

   Ref_biblio :
	BEGIN
	Create Refered VarBiblio;
	END;

   GRAPHICS_UNIT :
	BEGIN
	Create '\begin{picture}(50,50)\12\put(0,0){\framebox(50,50){ }}\12\end{picture}';
	Remove;
	END;

   PICTURE_UNIT :
	BEGIN
	Create '\centerline{\psfig{figure=';
	Create NomImage After;
	Create '}}' After;
	END;

ATTRIBUTES

   Importance = D\351finition :
	BEGIN
	Create '{\it ';
	Create '}' After;	
	END;

   Importance = Important :
	BEGIN
	Create '{\bf ';
	Create '}' After;	
	END;

   Num\351ro_prem_page:
	BEGIN
	END;

   Num\351ro_prem_section:
	BEGIN
	END;

   Type_auteur = Auteur_principal:
	BEGIN
	END;

   Type_auteur = Auteur_secondaire:
	BEGIN
	END;

PRESENTATION

   Size :
	BEGIN	
	Create '{\FS';
	Create Value;
	Create ' ' ;
	Create '}' after;
	END;

   Adjust = Left :
	BEGIN	
	Create '\ql ';
	END;
   Adjust = Right :
	BEGIN	
	Create '\qr ';
	END;
   Adjust = VMiddle :
	BEGIN	
	Create '\qc ';
	END;

   Justify = Yes :
	BEGIN	
	Create '\qj  ';
	END;

   Style = Bold :
	BEGIN	
	Create '{\b ';
	Create '}' after;
	END;
   Style = Italics :
	BEGIN	
	Create '{\i ';
	create '}' after;
	END;
   Style = BoldItalics :
	BEGIN	
	Create '{\i\b ';
	create '}' after;
	END;
   Style = Oblique :
	BEGIN	
	Create '{\i ';
	create '}' after;
	END;
   Style = BoldOblique :
	BEGIN	
	Create '{\i\b ';
	create '}' after;
	END;

   Font = Helvetica:
	BEGIN	
	Create '{\f3 ';
	create '}' after;
	END;
   Font = Courier :
	BEGIN
	Create '{\f6 ';
	create '}' after;	
	END;
   Font = Times :
	BEGIN
	Create '{\f0 ';
	create '}' after;	
	END;

   UnderLine = UnderLine :
	BEGIN
	Create '{\ul ';
	create '}' after;	
	END;
   UnderLine = OverLine :
	BEGIN
	Create '{\outl ';
	create '}' after;	
	END;
   UnderLine = StrikeOut :
	BEGIN
	Create '{\strike ';
	create '}' after;	
	END;

   Background :
	BEGIN
	Create '{\cb';
	Create Value;
	Create ' ';
	create '}' after;	
	END;

   Foreground :
	BEGIN
	Create '{\cf';
	Create Value;
	Create ' ';
	create '}' after;	
	END;
TextTRANSLATE	Latin
	BEGIN
	'''' -> '\rquote ';
	'\212' -> '\par ';
	'{' -> '\{ ';
	'}' -> '\} ';
	'\230' -> '\''f7';
	'\231' -> '\''d7';
	'\300' -> '\''c0';
	'\301' -> '\''c1';
	'\302' -> '\''c2';
	'\303' -> '\''c3';
	'\304' -> '\''c4';
	'\305' -> '\''c5';
	'\306' -> '\''c6';
	'\307' -> '\''c7';
	'\310' -> '\''c8';
	'\311' -> '\''c9';
	'\312' -> '\''ca ';
	'\313' -> '\''cb';
	'\314' -> '\''cc';
	'\315' -> '\''cd';
	'\316' -> '\''ce';
	'\317' -> '\''cf';
	'\320' -> '\''d0';
	'\321' -> '\''d1';
	'\322' -> '\''d2';
	'\323' -> '\''d3';
	'\324' -> '\''d4';
	'\325' -> '\''d5';
	'\326' -> '\''d6';
	'\327' -> '\''8c';
	'\330' -> '\''d8';
	'\331' -> '\''d9';
	'\332' -> '\''da';
	'\333' -> '\''db';
	'\334' -> '\''dc';
	'\335' -> '\''dd';
	'\336' -> '\''de';
	'\337' -> '\''df';
	'\340' -> '\''e0';
	'\341' -> '\''e1';
	'\342' -> '\''e2';
	'\343' -> '\''e3';
	'\344' -> '\''e4';
	'\345' -> '\''e5';
	'\346' -> '\''e6';
	'\347' -> '\''e7';
	'\350' -> '\''e8';
	'\351' -> '\''e9';
	'\352' -> '\''ea';
	'\353' -> '\''eb';
	'\354' -> '\''ec';
	'\355' -> '\''ed';
	'\356' -> '\''ee';
	'\357' -> '\''ef';
	'\360' -> '\''f0';
	'\361' -> '\''f1';
	'\362' -> '\''f2';
	'\363' -> '\''f3';
	'\364' -> '\''f4';
	'\365' -> '\''f5';
	'\366' -> '\''f6';
	'\367' -> '\''9c';
	'\370' -> '\''f8';
	'\371' -> '\''f9';
	'\372' -> '\''fa';
	'\373' -> '\''fb';
	'\374' -> '\''fc';
	'\375' -> '\''fd';
	'\376' -> '\''fe';
	'\377' -> '\''ff';
	END;

TextTRANSLATE	Grec
	BEGIN
	'\040' -> '{\f1 \''20}';
	'\041' -> '{\f1 \''21}';
	'\042' -> '{\f1 \''22}';
	'\043' -> '{\f1 \''23}';
	'\044' -> '{\f1 \''24}';
	'\045' -> '{\f1 \''25}';
	'\046' -> '{\f1 \''26}';

	'\050' -> '{\f1 \''28}';
	'\051' -> '{\f1 \''29}';
	'\052' -> '{\f1 \''2a}';
	'\053' -> '{\f1 \''2b}';
	'\054' -> '{\f1 \''2c}';
	'\055' -> '{\f1 \''2d}';
	'\056' -> '{\f1 \''2e}';
	'\057' -> '{\f1 \''2f}';
	'\060' -> '{\f1 \''30}';
	'\061' -> '{\f1 \''31}';
	'\062' -> '{\f1 \''32}';
	'\063' -> '{\f1 \''33}';
	'\064' -> '{\f1 \''34}';
	'\065' -> '{\f1 \''35}';
	'\066' -> '{\f1 \''36}';
	'\067' -> '{\f1 \''37}';
	'\070' -> '{\f1 \''38}';
	'\071' -> '{\f1 \''39}';
	'\072' -> '{\f1 \''3a}';
	'\073' -> '{\f1 \''3b}';
	'\074' -> '{\f1 \''3c}';
	'\075' -> '{\f1 \''3d}';
	'\076' -> '{\f1 \''3e}';
	'\077' -> '{\f1 \''3f}';
	'\100' -> '{\f1 \''40}';
	'\101' -> '{\f1 \''41}';
	'\102' -> '{\f1 \''42}';
	'\103' -> '{\f1 \''43}';
	'\104' -> '{\f1 \''44}';
	'\105' -> '{\f1 \''45}';
	'\106' -> '{\f1 \''46}';
	'\107' -> '{\f1 \''47}';
	'\110' -> '{\f1 \''48}';
	'\111' -> '{\f1 \''49}';
	'\112' -> '{\f1 \''4a}';
	'\113' -> '{\f1 \''4b}';
	'\114' -> '{\f1 \''4c}';
	'\115' -> '{\f1 \''4d}';
	'\116' -> '{\f1 \''4e}';
	'\117' -> '{\f1 \''4f}';
	'\120' -> '{\f1 \''50}';
	'\121' -> '{\f1 \''51}';
	'\122' -> '{\f1 \''52}';
	'\123' -> '{\f1 \''53}';
	'\124' -> '{\f1 \''54}';
	'\125' -> '{\f1 \''55}';
	'\126' -> '{\f1 \''56}';
	'\127' -> '{\f1 \''57}';
	'\130' -> '{\f1 \''58}';
	'\131' -> '{\f1 \''59}';
	'\132' -> '{\f1 \''5a}';
	'\133' -> '{\f1 \''5b}';
	'\134' -> '{\f1 \''5c}';
	'\135' -> '{\f1 \''5d}';
	'\136' -> '{\f1 \''5e}';
	'\137' -> '{\f1 \''5f}';
	'\140' -> '{\f1 \''60}';
	'\141' -> '{\f1 \''61}';
	'\142' -> '{\f1 \''62}';
	'\143' -> '{\f1 \''63}';
	'\144' -> '{\f1 \''64}';
	'\145' -> '{\f1 \''65}';
	'\146' -> '{\f1 \''66}';
	'\147' -> '{\f1 \''67}';
	'\150' -> '{\f1 \''68}';
	'\151' -> '{\f1 \''69}';
	'\152' -> '{\f1 \''6a}';
	'\153' -> '{\f1 \''6b}';
	'\154' -> '{\f1 \''6c}';
	'\155' -> '{\f1 \''6d}';
	'\156' -> '{\f1 \''6e}';
	'\157' -> '{\f1 \''6f}';
	'\160' -> '{\f1 \''70}';
	'\161' -> '{\f1 \''71}';
	'\162' -> '{\f1 \''72}';
	'\163' -> '{\f1 \''73}';
	'\164' -> '{\f1 \''74}';
	'\165' -> '{\f1 \''75}';
	'\166' -> '{\f1 \''76}';
	'\167' -> '{\f1 \''77}';
	'\170' -> '{\f1 \''78}';
	'\171' -> '{\f1 \''79}';
	'\172' -> '{\f1 \''7a}';
	'\173' -> '{\f1 \''7b}';
	'\174' -> '{\f1 \''7c}';
	'\175' -> '{\f1 \''7d}';
	'\176' -> '{\f1 \''7e}';
	'\177' -> '{\f1 \''7f}';
	'\200' -> '{\f1 \''80}';
	'\201' -> '{\f1 \''81}';
	'\202' -> '{\f1 \''82}';
	'\203' -> '{\f1 \''83}';
	'\204' -> '{\f1 \''84}';
	'\205' -> '{\f1 \''85}';
	'\206' -> '{\f1 \''86}';
	'\207' -> '{\f1 \''87}';
	'\210' -> '{\f1 \''88}';
	'\211' -> '{\f1 \''89}';
	'\213' -> '{\f1 \''8b}';
	'\214' -> '{\f1 \''8c}';
	'\215' -> '{\f1 \''8d}';
	'\216' -> '{\f1 \''8e}';
	'\217' -> '{\f1 \''8f}';
	'\220' -> '{\f1 \''90}';
	'\221' -> '{\f1 \''91}';
	'\222' -> '{\f1 \''92}';
	'\223' -> '{\f1 \''93}';
	'\224' -> '{\f1 \''94}';
	'\225' -> '{\f1 \''95}';
	'\226' -> '{\f1 \''96}';
	'\227' -> '{\f1 \''97}';
	'\230' -> '{\f1 \''98}';
	'\231' -> '{\f1 \''99}';
	'\232' -> '{\f1 \''9a}';
	'\233' -> '{\f1 \''9b}';
	'\234' -> '{\f1 \''9c}';
	'\235' -> '{\f1 \''9d}';
	'\236' -> '{\f1 \''9e}';
	'\237' -> '{\f1 \''9f}';
	'\240' -> ' ';
	'\241' -> '{\f1 \''a1}';
	'\242' -> '{\f1 \''a2}';
	'\243' -> '{\f1 \''a3}';
	'\244' -> '{\f1 \''a4}';
	'\245' -> '{\f1 \''a5}';
	'\246' -> '{\f1 \''a6}';
	'\247' -> '{\f1 \''a7}';
	'\250' -> '{\f1 \''a8}';
	'\251' -> '{\f1 \''a9}';
	'\252' -> '{\f1 \''aa}';
	'\253' -> '{\f1 \''ab}';
	'\254' -> '{\f1 \''ac}';
	'\255' -> '{\f1 \''ad}';
	'\256' -> '{\f1 \''ae}';
	'\257' -> '{\f1 \''af}';
	'\260' -> '{\f1 \''b0}';
	'\261' -> '{\f1 \''b1}';
	'\262' -> '{\f1 \''b2}';
	'\263' -> '{\f1 \''b3}';
	'\264' -> '{\f1 \''b4}';
	'\265' -> '{\f1 \''b5}';
	'\266' -> '{\f1 \''b6}';
	'\267' -> '{\f1 \''b7}';
	'\270' -> '{\f1 \''b8}';
	'\271' -> '{\f1 \''b9}';
	'\272' -> '{\f1 \''ba}';
	'\273' -> '{\f1 \''bb}';
	'\274' -> '{\f1 \''bc}';
	'\275' -> '{\f1 \''bd}';
	'\276' -> '{\f1 \''be}';
	'\277' -> '{\f1 \''bf}';
	'\300' -> '{\f1 \''c0}';
	'\301' -> '{\f1 \''c1}';
	'\302' -> '{\f1 \''c2}';
	'\303' -> '{\f1 \''c3}';
	'\304' -> '{\f1 \''c4}';
	'\305' -> '{\f1 \''c5}';
	'\306' -> '{\f1 \''c6}';
	'\307' -> '{\f1 \''c7}';
	'\310' -> '{\f1 \''c8}';
	'\311' -> '{\f1 \''c9}';
	'\312' -> '{\f1 \''ca}';
	'\313' -> '{\f1 \''cb}';
	'\314' -> '{\f1 \''cc}';
	'\315' -> '{\f1 \''cd}';
	'\316' -> '{\f1 \''ce}';
	'\317' -> '{\f1 \''cf}';
	'\320' -> '{\f1 \''d0}';
	'\321' -> '{\f1 \''d1}';
	'\322' -> '{\f1 \''d2}';
	'\323' -> '{\f1 \''d3}';
	'\324' -> '{\f1 \''d4}';
	'\325' -> '{\f1 \''d5}';
	'\326' -> '{\f1 \''d6}';
	'\327' -> '{\f1 \''d7}';
	'\330' -> '{\f1 \''d8}';
	'\331' -> '{\f1 \''d9}';
	'\332' -> '{\f1 \''da}';
	'\333' -> '{\f1 \''db}';
	'\334' -> '{\f1 \''dc}';
	'\335' -> '{\f1 \''dd}';
	'\336' -> '{\f1 \''de}';
	'\337' -> '{\f1 \''df}';
	'\340' -> '{\f1 \''e0}';
	'\341' -> '{\f1 \''e1}';
	'\342' -> '{\f1 \''e2}';
	'\343' -> '{\f1 \''e3}';
	'\344' -> '{\f1 \''e4}';
	'\345' -> '{\f1 \''e5}';
	'\346' -> '{\f1 \''e6}';
	'\347' -> '{\f1 \''e7}';
	'\350' -> '{\f1 \''e8}';
	'\351' -> '{\f1 \''e9}';
	'\352' -> '{\f1 \''ea}';
	'\353' -> '{\f1 \''eb}';
	'\354' -> '{\f1 \''ec}';
	'\355' -> '{\f1 \''ed}';
	'\356' -> '{\f1 \''ee}';
	'\357' -> '{\f1 \''ef}';
	'\360' -> '{\f1 \''f0}';
	'\361' -> '{\f1 \''f1}';
	'\362' -> '{\f1 \''f2}';
	'\363' -> '{\f1 \''f3}';
	'\364' -> '{\f1 \''f4}';
	'\365' -> '{\f1 \''f5}';
	'\366' -> '{\f1 \''f6}';
	'\367' -> '{\f1 \''f7}';
	'\370' -> '{\f1 \''f8}';
	'\371' -> '{\f1 \''f9}';
	'\372' -> '{\f1 \''fa}';
	'\373' -> '{\f1 \''fb}';
	'\374' -> '{\f1 \''fc}';
	'\375' -> '{\f1 \''fd}';
	'\376' -> '{\f1 \''fe}';
	'\377' -> '{\f1 \''ff}';

	END;

END
